%global momorel 4

%define debug_package %{nil}

Summary: Bindings for interacting with MySQL databases from ocaml.
Name: ocaml-mysql
Version: 1.0.4
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://raevnos.pennmush.org/code/ocaml-mysql/
Source: http://raevnos.pennmush.org/code/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: ocaml >= 3.10.2
BuildRequires: ocaml-camlp4-devel >= 3.10.2
BuildRequires: ocaml-findlib >= 1.2.1-2m
BuildRequires: mysql-devel
ExcludeArch: ppc64

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
ocaml-mysql is a package for ocaml that provides access to mysql
databases. It consists of low level functions implemented in C and a
module Mysql intended for application development.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: mysql-devel

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure
%__make
%__make opt

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_libdir}/ocaml/mysql
%__mkdir_p %{buildroot}%{_libdir}/ocaml/stublibs
%__make install OCAMLFIND_INSTFLAGS="-destdir %{buildroot}%{_libdir}/ocaml"
%__rm -f %{buildroot}%{_libdir}/ocaml/stublibs/*.owner

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README VERSION
%{_libdir}/ocaml/mysql/META
%{_libdir}/ocaml/stublibs/dllmysql_stubs.so
%{_libdir}/ocaml/mysql/mysql.cma
%{_libdir}/ocaml/mysql/mysql.cmi

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/mysql/libmysql_stubs.a
%{_libdir}/ocaml/mysql/mysql.a
%{_libdir}/ocaml/mysql/mysql.cmx
%{_libdir}/ocaml/mysql/mysql.cmxa
%{_libdir}/ocaml/mysql/mysql.mli

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.4-4m)
- rebuild against gcc43

* Sun Mar  2 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.4-3m)
- rebuild against ocaml-3.10.2

* Sat Jan 12 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.4-2m)
- rebuild against ocaml-3.10.1-1m

* Thu Nov 15 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.4-1m)
- initial packaging
